{
  "criteria": {
    "wisdom_skill_action": {
      "trigger": "minecraft:item_used_on_block",
      "conditions": {
        "location": [
          {
            "condition": "location_check",
            "predicate": {
              "block": {
                "blocks": "#all_signs"
              }
            }
          }
        ],
        "player": {
          "slots": {
            "weapon.*": {
              "items": "#overly_realistic:decorates_signs"
            }
          }
        }
      }
    }
  },
  "requirements": [
    [
      "wisdom_skill_action"
    ]
  ],
  "rewards": {
    "function": "overly_realistic:players/wisdom/building/add_to_skill_xp_c_decorate_sign"
  }
}